Bug 2804 - Internet search applet wastes space
: Internet search applet wastes space
Status: RESOLVED WONTFIX
Product: Desktop Widgets
Internet search
: 4.0
: All Linux
: High enhancement with 1 vote (vote)
: ---
Assigned To: unassigned
: internet-search-applet-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-19 19:46 UTC by Thomas Perl
Modified: 2009-05-18 23:22 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Thomas Perl (reporter) 2008-01-19 19:46:10 UTC
STEPS TO REPRODUCE THE PROBLEM:

Add the "Internet Search" applet to the Desktop, resize it so it is about half
the size of the screen.

EXPECTED OUTCOME:

The input area is still readable and has enough room to display text. There is
no need for so much padding, so many arrows and the black "resize grip".

ACTUAL OUTCOME:

The right resize grip (the black one) wastes too much space. There are also too
many arrows (in my opinion) and too much padding, which makes the search applet
only usable when it is resized to the whole desktop size, which takes away
space for other applets.

REPRODUCIBILITY:

Always - Simply add the search applet, resize it to half of the screen and see
how much space is left for the search text entry.

OTHER COMMENTS:

It would be really important to fix this, as nobody is going to use such a big
black resize grip - it takes away space that is better used for other applets
on the desktop.
Comment 1 Johan Bilien nokia 2008-01-21 09:54:28 UTC
Re-assigning to UI interaction
Comment 2 Thomas Perl (reporter) 2008-01-21 10:30:23 UTC
I would try to create a patch and send it in, but I cannot find the source code
for the Internet Search applet.
Comment 3 Andre Klapper maemo.org 2008-05-05 14:57:53 UTC
thp: should be part of the hildon-desktop module.
Comment 4 Thomas Perl (reporter) 2008-05-05 15:35:06 UTC
I can't find the "isearch-applet" source in the "hildon-desktop" source
package.

In scratchbox:

apt-get source hildon-desktop
cd hildon-desktop-2.0.6/debian/
grep "^Package:" control

Gives me:

Package: hildon-desktop
Package: hildon-desktop-dev
Package: hildon-desktop-dbg
Package: libhildondesktop0
Package: libhildondesktop-dev
Package: libhildondesktop0-dbg
Package: libhildondesktop0-doc
Package: libhildonwm0
Package: libhildonwm-dev
Package: libhildonwm0-dbg


The Internet Search applet on my N800 (OS2008) is in the package
"isearch-applet" that is not generated by the "hildon-desktop" source package.


On the N800 via ssh:

~ $ apt-cache show isearch-applet
Package: isearch-applet
Status: install ok installed
Priority: optional
Section: misc
Installed-Size: 52
Maintainer: Johan Bilien <johan.bilien@nokia.com>
Architecture: armel
Version: 1.2.10-1
Depends: libatk1.0-0 (>= 1.12.2), libc6 (>= 2.5.0-1), libcairo2 (>= 1.4.10),
libdbus-1-3 (>= 0.94), libdbus-glib-1-2 (>= 0.74), libgconf2-6 (>= 2.13.5),
libglib2.0-0 (>= 2.12.12-1osso3), libgtk2.0-0 (>= 2:2.10.12-0osso13),
libhildon1 (>= 1.0.11), libhildondesktop0 (>= 1:0.0.37-1), libhildonmime0 (>=
1.10.0), libhildonwm0 (>= 1:0.0.37-1), libosso-gnomevfs2-0, libpango1.0-0 (>=
1.16.4), libx11-6, libxml2, libxtst6, hildon-desktop
Conffiles:
 /etc/hildon-home/internet-search-applet.xml d4fe3c5ebbac6bbdbf788f53ab319a67
Description: Maemo Internet search home panel applet
 Home panel applet for searching the Internet. Can be extended with plugins.
Comment 5 Quim Gil nokia 2009-05-18 23:22:21 UTC
Sorry. This home applet has been dropped in Fremantle and no more development
will be done for it in Diablo. No more waste of space. (please accept the
blink)  ;)